from videogames.models import VideoGame, VideoGamePlatform
from scrobbles.views import (
    ScrobbleImportListView,
    ScrobbleableDetailView,
    ScrobbleableListView,
)


class VideoGameListView(ScrobbleableListView):
    model = VideoGame
    paginate_by = 40


class VideoGameDetailView(ScrobbleableDetailView):
    model = VideoGame
    slug_field = "uuid"


class VideoGamePlatformDetailView(ScrobbleableDetailView):
    model = VideoGamePlatform
    slug_field = "uuid"
